PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_cgelqf_Tile | ( | PLASMA_desc * | A,
|  | PLASMA_desc * | T
| ) |  |

PLASMA_cgelqf_Tile - Computes the tile LQ factorization of a matrix. Tile equivalent of PLASMA_cgelqf(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in,out] | A | On entry, the M-by-N matrix A. On exit, the elements on and below the diagonal of the array contain the m-by-min(M,N) lower trapezoidal matrix L (L is lower triangular if M <= N); the elements above the diagonal represent the unitary matrix Q as a product of elementary reflectors, stored by tiles.
  [out] | T | On exit, auxiliary factorization data, required by PLASMA_cgelqs to solve the system of equations.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_cgelqf
  PLASMA_cgelqf_Tile_Async
  PLASMA_cgelqf_Tile
  PLASMA_dgelqf_Tile
  PLASMA_sgelqf_Tile
  PLASMA_cgelqs_Tile